Subject: Re: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2022 19:38:32 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 26 Jun 2022 21:55:50 +0530
> 
> I was under the impression that I could safely rebind C-d to
> delete-forward-char.

The main point is not the key binding: there's nothing magic in C-d
per se.  The point is the delete-char and delete-forward-char behave
differently inside composed sequences, and that's intentional.